# $Id: ipmasqadm-0.4.spec,v 1.2 1998/11/25 19:03:33 jjo Exp jjo $
Summary: ipmasqadm utility
Name: ipmasqadm
%define version 0.4.2
Version: %{version}
Release: 4
Copyright: distributable
Group: Networking/Admin
Source: http://juanjox.kernelnotes.org/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
%description
This tool allows ipmasq addtional setup, it is needed if you 
want to activate port forwarding or auto forwarding in 2.1 kernels.

%prep
%setup 

%ifarch axp
%endif

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" "KSRC=/usr/src/linux"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin 
mkdir -p $RPM_BUILD_ROOT/usr/lib/ipmasqadm
chmod 700 $RPM_BUILD_ROOT/usr/lib/ipmasqadm
make DESTDIR=$RPM_BUILD_ROOT install

chmod 755 $RPM_BUILD_ROOT/usr/sbin/ipmasqadm
strip $RPM_BUILD_ROOT/usr/sbin/ipmasqadm

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc doc/* ChangeLog
/usr/man/man8/ipmasqadm.8.gz
/usr/sbin/ipmasqadm
%dir /usr/lib/ipmasqadm
/usr/lib/ipmasqadm/portfw.so
/usr/lib/ipmasqadm/autofw.so
/usr/lib/ipmasqadm/mfw.so


%changelog
* Mon Jan 31 2000 JoungKyun Kim <oops@oops.org>
- rebuild for glibc6

* Sat Jul 10 1999 Andrea Borgia <borgia@students.cs.unibo.it>
- added KSRC to spec to build on v2.2 
- original packager was Juan Jose Ciarlante <irriga@impsat1.com.ar>
- started changelog
